Bug 1251028 - [abrt] WARNING: CPU: 3 PID: 17534 at drivers/net/wireless/iwlwifi/mvm/binding.c:201 iwl_mvm_binding_remove_vif+0x9a/0xb0 [iwlmvm]() [iwlmvm]
[abrt] WARNING: CPU: 3 PID: 17534 at drivers/net/wireless/iwlwifi/mvm/binding...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e03639b1da1856461d8f877b6a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 08:42 EDT by Shatadru Bandyopadhyay
Modified: 2016-07-19 13:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:23:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (203.09 KB, text/plain)
2015-08-06 08:42 EDT, Shatadru Bandyopadhyay
no flags Details

  None (edit)
Description Shatadru Bandyopadhyay 2015-08-06 08:42:00 EDT
Additional info:
reporter:       libreport-2.6.2
WARNING: CPU: 3 PID: 17534 at drivers/net/wireless/iwlwifi/mvm/binding.c:201 iwl_mvm_binding_remove_vif+0x9a/0xb0 [iwlmvm]()
Modules linked in: macvtap macvlan btrfs xor raid6_pq hfsplus hfs minix msdos jfs xfs libcrc32c qcserial usb_wwan ccm uinput rfcomm bnep nls_utf8 isofs xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 fuse tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 iwlmvm mac80211 iTCO_wdt iTCO_vendor_support vfat fat intel_rapl iosf_mbi uvcvideo x86_pkg_temp_thermal coretemp kvm_intel videobuf2_vmalloc videobuf2_core iwlwifi videobuf2_memops
 v4l2_common videodev kvm uas cfg80211 usb_storage media btusb bluetooth i2c_i801 snd_hda_codec_realtek snd_hda_codec_hdmi thinkpad_acpi snd_hda_codec_generic rtsx_pci_ms memstick wmi tpm_tis rfkill snd_hda_intel tpm snd_hda_controller intel_rst snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd mei_me mei soundcore ie31200_edac shpchp edac_core lpc_ich nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul e1000e drm crc32c_intel ghash_clmulni_intel rtsx_pci serio_raw ptp mfd_core pps_core video
CPU: 3 PID: 17534 Comm: airodump-ng Not tainted 4.0.6-300.fc22.x86_64 #1
Hardware name: LENOVO 20AWS2A101/20AWS2A101, BIOS GLET77WW (2.31 ) 01/27/2015
 0000000000000000 000000000850955c ffff88040989f738 ffffffff81783884
 0000000000000000 0000000000000000 ffff88040989f778 ffffffff8109c70a
 ffffffffffffffff ffff88000bf71b70 ffff880404eb5ae8 ffff88000bf71c90
Call Trace:
 [<ffffffff81783884>] dump_stack+0x45/0x57
 [<ffffffff8109c70a>] warn_slowpath_common+0x8a/0xc0
 [<ffffffff8109c83a>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa07eb23a>] iwl_mvm_binding_remove_vif+0x9a/0xb0 [iwlmvm]
 [<ffffffffa07ddc31>] __iwl_mvm_unassign_vif_chanctx+0x71/0x110 [iwlmvm]
 [<ffffffffa07ddd0a>] iwl_mvm_unassign_vif_chanctx+0x3a/0x50 [iwlmvm]
 [<ffffffffa08c52f2>] ieee80211_assign_vif_chanctx+0x82/0x420 [mac80211]
 [<ffffffff811c03e0>] ? zone_statistics+0x80/0xa0
 [<ffffffffa08c66d4>] __ieee80211_vif_release_channel+0x54/0x150 [mac80211]
 [<ffffffffa08c7121>] ieee80211_vif_release_channel+0x51/0x70 [mac80211]
 [<ffffffffa08acbd4>] ieee80211_set_monitor_channel+0xd4/0x160 [mac80211]
 [<ffffffffa05ac207>] cfg80211_set_monitor_channel+0x97/0x130 [cfg80211]
 [<ffffffffa059db56>] __nl80211_set_channel+0x176/0x230 [cfg80211]
 [<ffffffff811c03e0>] ? zone_statistics+0x80/0xa0
 [<ffffffffa05a0938>] nl80211_set_wiphy+0x2d8/0x8f0 [cfg80211]
 [<ffffffff81787ce6>] ? mutex_lock+0x16/0x40
 [<ffffffff8167b465>] ? rtnl_lock+0x15/0x20
 [<ffffffff816a1689>] genl_family_rcv_msg+0x1b9/0x3e0
 [<ffffffff816a18b0>] ? genl_family_rcv_msg+0x3e0/0x3e0
 [<ffffffff816a1929>] genl_rcv_msg+0x79/0xc0
 [<ffffffff816a0db9>] netlink_rcv_skb+0xb9/0xe0
 [<ffffffff816a14bc>] genl_rcv+0x2c/0x40
 [<ffffffff816a051d>] netlink_unicast+0x12d/0x1c0
 [<ffffffff816a0a83>] netlink_sendmsg+0x4d3/0x630
 [<ffffffff81235d27>] ? _d_rehash+0x37/0x40
 [<ffffffff81235d52>] ? d_rehash+0x22/0x30
 [<ffffffff8164e3ef>] do_sock_sendmsg+0x9f/0xc0
 [<ffffffff8164ffb0>] ___sys_sendmsg+0x340/0x350
 [<ffffffff811d2a53>] ? handle_mm_fault+0xe53/0x1840
 [<ffffffff8123625e>] ? dput+0x1fe/0x230
 [<ffffffff81650ad1>] __sys_sendmsg+0x51/0xa0
 [<ffffffff81650b32>] SyS_sendmsg+0x12/0x20
 [<ffffffff81789e89>] system_call_fastpath+0x12/0x17
Comment 1 Shatadru Bandyopadhyay 2015-08-06 08:42:07 EDT
Created attachment 1059913 [details]
File: dmesg
Comment 2 Frank Büttner 2015-10-10 15:01:45 EDT
In my case it is also an Lenovo. (T440p)
Comment 3 Justin M. Forbes 2015-10-20 15:21:22 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 4 Frank Büttner 2015-10-21 09:31:36 EDT
Description of problem:
call  airmon-ng stop wlp4s0mon0

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.2.3-200.fc22.x86_64 root=/dev/mapper/VG_Mobil_System-LV_Wurzel ro rd.luks.uuid=luks-96f51f09-4a7d-4712-8f0e-39f7cf306b23 rd.lvm.lv=VG_Mobil_System/LV_Wurzel rhgb quiet crashkernel=200M LANG=de_DE.UTF-8
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 4569 at drivers/net/wireless/iwlwifi/mvm/binding.c:201 iwl_mvm_binding_remove_vif+0x8b/0xa0 [iwlmvm]()
Modules linked in: rfcomm fuse cmac ccm xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat tun bridge ebtable_filter ebtables xt_comment nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables bnep nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media btusb btrtl btbcm btintel bluetooth cdc_acm arc4 snd_hda_codec_realtek snd_hda_codec_generic iwlmvm snd_hda_codec_hdmi snd_hda_intel mac80211 snd_hda_codec intel_rapl iosf_mbi snd_hda_core iTCO_wdt snd_hwdep x86_pkg_temp_thermal iTCO_vendor_support coretemp snd_seq kvm_intel snd_seq_device iwlwifi kvm snd_pcm i2c_i801 cfg80211 mei_me thinkpad_acpi snd_timer rtsx_pci_ms mei memstick lpc_ich snd tpm_tis
 soundcore tpm rfkill ie31200_edac shpchp edac_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt cdc_mbim cdc_wdm cdc_ncm usbnet mii 8021q garp stp llc mrp nouveau i915 rtsx_pci_sdmmc mmc_core mxm_wmi ttm i2c_algo_bit crct10dif_pclmul drm_kms_helper e1000e crc32_pclmul crc32c_intel drm ghash_clmulni_intel serio_raw ptp rtsx_pci pps_core wmi video
CPU: 7 PID: 4569 Comm: iw Not tainted 4.2.3-200.fc22.x86_64 #1
Hardware name: LENOVO 20AN00C1GE/20AN00C1GE, BIOS GLET80WW (2.34 ) 07/23/2015
 0000000000000000 0000000054275ee0 ffff880428b67688 ffffffff8177220a
 0000000000000000 0000000000000000 ffff880428b676c8 ffffffff8109e4a6
 ffffffffffffffff ffff88042b2d8b78 ffff880429299448 ffff88042b2d8ca0
Call Trace:
 [<ffffffff8177220a>] dump_stack+0x45/0x57
 [<ffffffff8109e4a6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e5da>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa0806c8b>] iwl_mvm_binding_remove_vif+0x8b/0xa0 [iwlmvm]
 [<ffffffffa07f7b4f>] __iwl_mvm_unassign_vif_chanctx+0x6f/0xf0 [iwlmvm]
 [<ffffffffa07f7c0a>] iwl_mvm_unassign_vif_chanctx+0x3a/0x50 [iwlmvm]
 [<ffffffffa08c4c12>] ieee80211_assign_vif_chanctx+0x82/0x3d0 [mac80211]
 [<ffffffffa08c5ea4>] __ieee80211_vif_release_channel+0x54/0x140 [mac80211]
 [<ffffffffa08c6831>] ieee80211_vif_release_channel+0x51/0x70 [mac80211]
 [<ffffffffa08a2f10>] ieee80211_del_virtual_monitor.part.18+0x70/0x180 [mac80211]
 [<ffffffffa08a3d78>] ieee80211_do_stop+0x808/0x880 [mac80211]
 [<ffffffff8177875e>] ? _raw_spin_unlock_bh+0xe/0x10
 [<ffffffffa08a3e0a>] ieee80211_stop+0x1a/0x20 [mac80211]
 [<ffffffff8165afd9>] __dev_close_many+0x99/0x100
 [<ffffffff8165b0c7>] dev_close_many+0x87/0x130
 [<ffffffff8165cbfa>] rollback_registered_many+0x10a/0x300
 [<ffffffff81101b40>] ? __call_rcu+0x350/0x350
 [<ffffffff8165ce30>] rollback_registered+0x40/0x70
 [<ffffffff8165df99>] unregister_netdevice_queue+0x49/0xa0
 [<ffffffffa08a554e>] ieee80211_if_remove+0x6e/0xb0 [mac80211]
 [<ffffffffa08a9d92>] ieee80211_del_iface+0x12/0x20 [mac80211]
 [<ffffffffa05fc657>] nl80211_del_interface+0xc7/0x1d0 [cfg80211]
 [<ffffffff81695b21>] genl_family_rcv_msg+0x1b1/0x3c0
 [<ffffffff81695d30>] ? genl_family_rcv_msg+0x3c0/0x3c0
 [<ffffffff81695da6>] genl_rcv_msg+0x76/0xb0
 [<ffffffff816952a8>] netlink_rcv_skb+0xa8/0xd0
 [<ffffffff8169595c>] genl_rcv+0x2c/0x40
 [<ffffffff81694a87>] netlink_unicast+0x127/0x1a0
 [<ffffffff81694fa5>] netlink_sendmsg+0x4a5/0x5f0
 [<ffffffff81644658>] sock_sendmsg+0x38/0x50
 [<ffffffff81644feb>] ___sys_sendmsg+0x28b/0x2a0
 [<ffffffff81643a83>] ? sock_destroy_inode+0x33/0x40
 [<ffffffff81238b1c>] ? destroy_inode+0x3c/0x60
 [<ffffffff81238c41>] ? evict+0x101/0x170
 [<ffffffff812344b6>] ? dentry_free+0x56/0x90
 [<ffffffff81234e25>] ? __dentry_kill+0x145/0x1c0
 [<ffffffff81645aa7>] __sys_sendmsg+0x57/0xa0
 [<ffffffff81645b02>] SyS_sendmsg+0x12/0x20
 [<ffffffff81778bee>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 5 Frank Büttner 2015-10-21 09:32:45 EDT
See kernel messages above.
Comment 6 Fedora End Of Life 2016-07-19 13:23:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.